/*=============== GOOGLE FONTS ===============*/
@import url('https://fonts.googleapis.com/css2?family=Jost:ital,wght@0,100..900;1,100..900&family=Montserrat+Alternates:wght@400;600;700;800&display=swap');

/* Jost - Montserrat Fonts  */
/*=============== VARIABLES CSS ===============*/
:root {
  /*========== Colors ==========*/
  --hue: 165;
  --first-color: hsl(var(--hue), 60%, 40%);
  --title-color: hsl(var(--hue), 4%, 12%);
  --text-color: hsl(var(--hue), 4%, 20%);
  --body-color: hsl(var(--hue), 30%, 92%);
  --container-color: hsl(0, 0%, 100%);
  --border-color: hsl(var(--hue), 4%, 16%);
  --white-color: hsl(0, 0%, 100%);
  --shadow-color: hsla(var(--hue), 80%, 10%, 0.2);

  /*========== Font family ==========*/
  --body-font: 'Jost', sans-serif;
  --second-font: "Montserrat Alternates", sans-serif;

  /*========== Font sizes ==========*/
  --big-font-size: 5.5rem;
  --big2-font-size: 4.5rem;
  --h1-font-size: 2.75rem;
  --h2-font-size: 1.75rem;
  --h3-font-size: 1.5rem;
  --larger-font-size: 1.25rem;
  --large-font-size: 1.125rem;
  --normal-font-size: 1rem;
  --small-font-size: 0.875rem;
  --smaller-font-size: 0.8125rem;

  /*========== Font weight ==========*/
  --font-medium: 500;
  --font-semi-bold: 600;
  --font-bold: 700;
  --font-black: 800;

  /*========== Transition ==========*/
  --transition: cubic-bezier(0.3, 0, 0.3, 1);
}

/* Responsive typography */
@media screen and (max-width: 1024px) {
  :root{
    --big-font-size: 3rem;
    --big2-font-size: 2rem;
    --h1-font-size: 1.25rem;
    --h2-font-size: 1.25rem;
    --h3-font-size: 1.125rem;
    --larger-font-size: 1.125rem;
    --large-font-size: 1rem;
    --normal-font-size: 0.938rem;
    --small-font-size: 0.812rem;
  }
}

/*=============== DARK THEME ===============*/
.dark {
  --title-color: hsl(0, 0%, 100%);
  --text-color: hsl(0 0%, 92%);
  --body-color: hsl(var(--hue), 10%, 8%);
  --container-color: hsl(var(--hue), 10%, 16%);
  --border-color: hsl(var(--hue), 4%, 65%);
  --shadow-color: hsla(var(--hue), 0%, 100%, 0.2);
}

.dark .shape {
  filter: invert(1);
}

/*=============== BASE ===============*/
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
  scrollbar-width:thin;
  scrollbar-color: hsl(var(--hue), 20%, 65%) hsla(var(--hue), 20%, 85%);
}

body,
button,
input,
textarea {
  color: var(--text-color);
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
}

body {
  background-color: var(--body-color);
}

h1,
h2,
h3,
h4 {
  color: var(--title-color);
  font-family: var(--second-font);
  font-weight: var(--font-bold);
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  display: block;
  max-width: 100%;
}

button,
input,
textarea {
  border: none;
  outline: none;
  background-color: transparent;
}





/*=============== REUSABLE CSS CLASSES ===============*/
.social-links {
  display: inline-flex;
  column-gap: 1.5rem;
}

.social-links a {
  color: var(--title-color);
  font-size: var(--h3-font-size);
  transition: color 0.7s var(--transition);
}

.social-links a:hover {
  color: var(--first-color);
}

.section {
  padding: 7rem 3.5rem;
}

.btn,
.home-link {
  display: inline-block;
  color: var(--title-color);
  font-size: var(--small-font-size);
  font-weight: var(--font-bold);
  position: relative;
  z-index: 1;
}

.btn {
  border: solid 2px var(--border-color);
  box-shadow: 4px 4px var(--shadow-color);
  padding: 1rem 2rem;
  border-radius: 2rem;
  transition: color 0.7s var(--transition),
}

.btn:hover {
  color: var(--white-color);
}

.btn::before {
  content: '';
  position: absolute;
  inset: 2px;
  background-color: var(--first-color);
  border-radius: inherit;
  filter: blur(10px);
  transform: scale(0.3);
  opacity: 0;
  z-index: -10;
  transition: all 0.7s var(--transition);
}

.btn:hover::before {
  transform: scale(1);
  filter: blur(0);
  opacity: 1;
}

.section-title {
  font-size: var(--h1-font-size);
  text-align: center;
  /* font-weight: var(--font-bold); */
  margin-bottom: 0.5rem;
}

.section-title::after {
  content: attr(data-title);
  display: block;
  color: var(--first-color);
  font-family: var(--body-font);
  font-size: var(--large-font-size);
}

.link {
  display: inline-flex;
  align-items: center;
  column-gap: 1rem;
  color: var(--title-color);
  font-weight: var(--font-bold);
}

.link-icon {
  color: var(--first-color);
  font-size: 1.25rem;
  transition: transform 0.3s var(--transition);
}

.link:hover .link-icon {
  transform: translateX(-0.5rem);
}

.section-deco {
  position: absolute;
  top: 0;
  width: 2px;
  height: 100%;
  background-color: var(--border-color);
}

.deco-left {
  left: -75px;
}

.deco-right {
  right: -75px;
}

.section-deco::before,
.section-deco::after {
  content: '';
  position: absolute;
  width: 30px;
  height: 30px;
  left: 50%;
  border-radius: 50%;
  border: 2px solid var(--border-color);
  box-shadow: 4px 4px var(--shadow-color);
  background-color: var(--cotainer-color);
}

.section-deco::before {
  top: 0px;
  transform: translate(-50%, -100%);
}

.section-deco::after {
  bottom: 0px;
  transform: translate(-50%, 100%);
}

.section-deco .shape {
  /* max-width: 226px; */
  /* height: 226px; */
  /* bottom: -206px; */
}

.deco-left .shape {
  left: -166px;
}

.deco-left .shape {
  left: -166px;
}

.header-deco {
  height: 70%;
  top: 128px;
  left: 75px;
}

.header-deco .shape {
  top: -250px;
  left: -168px;
}

.section:nth-child(odd) {
  background: linear-gradient(
    0deg,
     var(--container-color) 0%,
     var(--body-color) 100%);
}
.section:nth-child(even) {
  background: linear-gradient(
    180deg,
     var(--container-color) 0%,
     var(--body-color) 100%);
}

/*=============== LAYOUT ===============*/
.container {
  max-width: 1320px;
  margin-inline: auto;
  padding-inline: 1.5rem;
  max-width: 1320px;
  position: relative;
}

.container:not(.nav, .home-container) {
  padding-block: 3.75rem;
}

.grid {
  display: grid;
}

/*=============== HEADER & NAV ===============*/
.header {
  background-color: transparent;
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  z-index: 1000;
}

.nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 5rem;
  max-width: 1540px;
}

.nav-logo,
.nav-link {
  font-weight: var(--font-bold);
  color: var(--title-color);
}

.nav-logo {
  font-family: var(--second-font);
  font-size: var(--h3-font-size);
  text-transform: uppercase;
  -webkit-text-stroke: .5px black;
  text-shadow: 4px 4px var(--shadow-color);
}

.nav-buttons {
  display: flex;
  align-items: center;
  column-gap: 1.75rem;
}

.nav-settings,
.nav-toggle {
  cursor: pointer;
  ;
}

.nav-settings {
  font-size: 1.5rem;
}

.nav-toggle {
  width: 28px;
  height: 28px;
  position: relative;
}

.nav-toggle::before,
.nav-toggle::after {
  content: '';
  position: absolute;
  left: 0;
  width: 100%;
  height: 4px;
  background-color: var(--title-color);
  border-radius: 4px;
  transition: all 0.7s var(--transition);
}

.nav-toggle::before {
  top: 7px;
}

.nav-toggle::after {
  bottom: 7px;
}

.nav-menu {
  position: fixed;
  top: 0;
  right: -100%;
  background-color: var(--container-color);
  height: 100%;
  width: 512px;
  padding: 9rem 0rem 0rem 9.5rem;
  transition: right 0.7s var(--transition);
  overflow: hidden;
}

.nav-list {
  margin-bottom: 2.5rem;
}

.nav-item {
  margin-bottom: 1.25rem;
}

.nav-link {
  font-size: var(--larger-font-size);
  transition: color 0.3s var(--transition);
}

.nav-link:hover {
  color: var(--first-color);
}

/* Show menu */
.show-menu {
  right: 0;
}

.animate-toggle::before {
  transform: rotate(45deg);
  top: 14px;
}

.animate-toggle::after {
  transform: rotate(-45deg);
  bottom: 12px;
}

/* Active link */
.active-link{
  color: var(--first-color);
}

/* Change background header */
.bg-header{
  background-color: var(--container-color);
  box-shadow: 0px 4px var(--shadow-color);
}

/*=============== MAIN ===============*/


/*=============== HOME ===============*/
.home-container {
  padding-block: 4.25rem;
}

.home-content {
  position: relative;
}




.home-subtitle {
  font-size: var(--larger-font-size);
  font-weight: var(--font-semi-bold);
  margin-bottom: 1rem;
}

.home-subtitle span,
.home-title span,
.nav-logo span {
  color: var(--first-color);
}

.home-title {
  /* max-width: 1120px; */
  font-size: var(--big2-font-size);
  font-weight: var(--font-black);
  margin-bottom: 1.5rem;
  color: var(--white-color);
  -webkit-text-stroke: 2px black;
  text-shadow: 4px 4px var(--shadow-color);
  text-transform: uppercase;
}

.home-job {
  font-size: var(--h3-font-size);
  font-weight: var(--font-semi-bold);
  margin-block: 1.5rem 2.5rem;
}

.home-banner {
  position: absolute;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
}

.home-img-wrapper {
  /* background-color: orangered; */
  width: clamp(21rem, 12.6rem + 15.6vw, 42rem);
  border-radius: 0 0 100vw 100vw;
  overflow: hidden;
}

.home-img-wrapper:before {
  content: '';
  position: absolute;
  inset: auto 0 0;
  aspect-ratio: 1/1;
  border-radius: 50%;
  background-color: var(--first-color);
  /* border-radius: 0 0 100vw 100vw; */
}

.home-profile {
  position: relative;
  z-index: 10;
  object-fit: cover;
  aspect-ratio: 21/25;
}

.home-date {
  border: 2px solid var(--border-color);
  background-color: var(--container-color);
  box-shadow: 4px 4px var(--shadow-color);
  padding-inline: 1.25rem;
  width: 240px;
  height: 80px;
  border-radius: 3rem;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  align-items: center;
  position: absolute;
  z-index: 100;

}

.home-data-one {
  bottom: 20%;
  left: clamp(-3.75rem, -10.65rem + 3.6vw, -1.5rem);
}

.home-data-two {
  bottom: 12%;
  right: clamp(-5rem, -15.2rem + 8.8vw, 2.5rem);
}

.home-data-number {
  color: var(--title-color);
  font-family: var(--second-font);
  font-size: 2.5rem;
  font-weight: var(--font-bold);
  text-align: center;
}

.home-data-title {
  font-size: var(--smaller-font-size);
}

.home-data-title span {
  color: var(--first-color);
}

.shape {
  position: absolute;
  z-index: -10;
}

.shape-1 {
  width: clamp(6.5rem, 3.5rem + 12vw, 14rem);
  top: 10%;
  right: 6%;
}

.shape-2,
.shape-3 {
  width: clamp(4rem, 2.1rem + 7.6vw, 8.75rem);
}

.shape-2 {
  bottom: 3%;
  left: -12%;
}

.shape-3 {
  bottom: 0;
  right: -20%;
}

.home-description {
  font-size: var(--large-font-size);
  max-width: 520px;
}

.home-socials {
  margin-block: 1.75rem 2.5rem;
}

.home-btns {
  display: flex;
  column-gap: 4.5rem;
  margin-bottom: 1rem;
  align-items: center;
}

.home-link::before {
  content: '';
  position: absolute;
  left: -124%;
  top: 50%;
  transform: translateY(-50%);
  width: 40px;
  height: 2px;
  background-color: var(--border-color);

}

/*=============== SERVICES ===============*/
.card {
  background-color: var(--container-color);
  box-shadow: 4px 4px var(--shadow-color);
  border-radius: 1.5rem;
  padding: 2rem 2.5rem;
  position: relative;
  overflow: hidden;
}

.card::before {
  content: '';
  position: absolute;
  right: -1.5rem;
  bottom: -1.5rem;
  width: 120px;
  height: 120px;
  background-image: url(/assets/img/shape-1.png);
  background-size: cover;
}

.services-subtitle {
  font-size: var(--smaller-font-size);
  /* font-weight: var(--font-semi-bold); */
  /* margin-bottom: 1rem; */
}

.services-title {
  font-size: var(--h3-font-size);
  margin-block: 4rem 1rem;
}

.services-description {
  min-height: 175px;
}



/* Swiper */
.swiper-pagination {
  position: initial;
  margin-top: 3rem;
}

.swiper-pagination-bullets::before {
  content: '';
  position: absolute;
  top: 0.75rem;
  left: 50%;
  transform: translateX(-50%);
  width: 65px;
  height: 2px;
  background-color: var(--border-color);
}

.swiper-pagination-bullet {
  border: 1px solid var(--border-color);
  background-color: var(--container-color);
  opacity: 1;
  position: relative;
  z-index: 10;
  transition: transform 0.3s var(--transition);
}

.swiper-pagination-bullet:not(:last-child) {
  margin-right: 1.2rem !important;
}

.swiper-pagination-bullet-active {
  background-color: var(--first-color);
  transform: scale(1.7);
  border-width: 1px;
}

/*=============== SKILLS ===============*/
.skills-container {
  grid-template-columns: repeat(3, 1fr);
  gap: 4rem 1.5rem;
}

.skills-item {
  /* background-color: var(---color); */
  box-shadow: 4px 4px var(--shadow-color);
  border-radius: 1.5rem;
  padding: 1.5rem 2rem;
}

.skills-header {

  display: flex;
  align-items: center;
  justify-content: space-between;
}

.skills-header,
.skills-description {
  padding-inline: 1.75rem;
}

.skills-name {
  font-size: var(--larger-font-size);
  /* color: var(--first-color); */
  margin-bottom: 1rem;
  text-transform: uppercase;
}

.skills-value {
  color: var(--title-color);
  font-weight: var(--font-bold);
}

.skills-value b {
  color: var(--first-color);
}

.skills-description {
  margin-block: 1rem 1.5rem;



  img{
    width: 1000%;
    padding: 1rem;
  }
}

.skills-bar,
.skills-percentage {
  height: 2px;
}

.skills-percentage {
  background-color: var(--shadow-color);
  display: block;
  position: relative;
}

.skills-bar {
  background-color: var(--shadow-color);

}

.skills-percentage::before {
  content: '';
  position: absolute;
  right: 0;
  top: -0.75rem;
  height: 20px;
  width: 20px;
  background-color: var(--first-color);
  border-radius: 50%;
  border: 2px solid var(--border-color);
  box-shadow: 4px 4px var(--shadow-color);
}

/*=============== WORK ===============*/
.work-list {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
  margin-bottom: 3.75rem;
  justify-content: center;
}

.work-item {
  color: var(--title-color);
  font-size: var(--small-font-size);
  font-weight: var(--font-bold);
  cursor: pointer;
  position: relative;
  transition: color 0.7s var(--transition);
}

.work-item:hover {
  color: var(--first-color);
}

.work-item::before {
  content: '';
  position: absolute;
  left: 0;
  bottom: -0.5rem;
  /* transform: translateX(-50%); */
  width: 0px;
  height: 2px;
  background-color: var(--first-color);
  transition: width 0.3s var(--transition);
}

/* Active work */
.active-work {
  color: var(--first-color);
}

.active-work::before {
  width: 100%;
}

.work-container {
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem;
}

.work-img {
  height: 240px;
  width: 100%;
  object-fit: cover;
  border-radius: 1rem;
  margin-bottom: 1.5rem;
}

.work-category {
  font-size: var(--smaller-font-size);
  color: var(--first-color);
  font-weight: var(--font-semi-bold);
  margin-bottom: 1rem;
}

.work-title {
  font-size: var(--h3-font-size);
  margin-block: 0.75rem 1rem;
}

.work-description {
  min-height: 125px;
}

/*=============== RESUME ===============*/
.resume-container {
  grid-template-columns: repeat(1, 1fr);
  gap: 1.5rem;
}

.resume-title {
  font-size: var(--h3-font-size);
  padding-bottom: 2rem;
  text-align: center;
}

.resume-title,
.resume-item {
  border-bottom: 1px solid var(--border-color);
}

.resume-item:not(:first-child) {
  border-right: 2px solid var(--border-color);
}

.resume-item {
  position: relative;
  padding-inline: 1.5rem;
}

.resume-header {
  padding-block: 1.5rem;
  cursor: pointer;
  display: flex;
  position: relative;
}

.resume-header-title {
  color: var(--first-color);
  font-size: var(--h3-font-size);
  font-weight: var(--font-semi-bold);
}

.resume-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-block: 1.5rem;
  /* margin: auto 0; */
  /* width: 100%; */
  /* height: 100%; */
}

.resume-header-img {
  height: 100px;
  width: 100px;
  /* position: absolute; */
  object-fit: contain;
  margin-right: 50px;
  border-radius: 50%;
  background-color: transparent;
  box-shadow: 4px 4px var(--shadow-color);
  border: 2px solid var(--first-color);
  padding: 15px 0px;
  /* left: 40%; */
  /* top: 20px; */
  margin-bottom: 1.5rem;
  /* margin-top: 1.5rem; */

}

.resume-icon {
  position: absolute;
  right: -1.25rem;
  bottom: -1.25rem;
  background-color: var(--container-color);
  border: 2px solid var(--border-color);
  box-shadow: 4px 4px var(--shadow-color);
  color: var(--title-color);
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
  width: 40px;
  height: 40px;
  border-radius: 50%;
  display: grid;
  place-items: center;
  z-index: 10;
}

.resume-content {
  height: 0;
  overflow: hidden;
}

.resume-content-header {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 0.25rem 2rem;
}

.resume-content-title {
  font-size: var(--h3-font-size);
  font-weight: var(--font-semi-bold);
}

.resume-date {
  color: var(--title-color);
  font-size: var(--smaller-font-size);
  font-weight: var(--font-bold);
  margin-right: 3.7rem;
}

.resume-description {
  /* font-size: var(--smaller-font-size); */
  margin-block: 1.5rem;
}

/*=============== TESTIMONIALS ===============*/
.testimonial-icon {
  position: absolute;
  top: 2rem;
  left: 2.5rem;
  width: 66px;
  height: 66px;
  background-color: var(--container-color);
  border-top-right-radius: 1rem;
  color: var(--first-color);
  font-size: 2.5rem;

}

.testimonial-img {
  height: 180px;
  width: 100%;
  object-fit: cover;
  border-radius: 1rem;
  margin-bottom: 1.5rem;
}

.testimonial-description {
  min-height: 110px;
}

.testimonial-name {
  font-size: var(--larger-font-size);
  margin-block: 2rem 0.025rem;
}

/*=============== CONTACT ===============*/
.contact {
  padding-bottom: 14rem;
  position: relative;
}

.contact-container {
  grid-template-columns: 5fr 7fr;
  gap: 1.5rem;

}

.contact-card {
  display: grid;
  grid-template-columns: max-content 1fr;
  align-items: center;
  column-gap: 4.5rem;
  margin-bottom: 2.5rem;
}

.contact-icon,
.contact-form-input {
  border: 2px solid var(--border-color);
  background-color: var(--container-color);
}

.contact-icon {
  width: 56px;
  height: 56px;
  border-radius: 50%;
  box-shadow: 4px 4px var(--shadow-color);
  font-size: var(--h3-font-size);
  display: grid;
  place-items: center;
  position: relative;
}

.contact-icon::after {
  content: '';
  position: absolute;
  left: 100%;
  top: 50%;
  width: 40px;
  height: 2px;
  background-color: var(--border-color);
}

.contact-title {
  font-size: var(--h3-font-size);
  margin-block: .5rem;
}

.contact-form {
  row-gap: 1.75rem;
  position: relative;
}

.contact-form-group {
  grid-template-columns: repeat(2, 1fr);
  gap: 1.5rem;
}

.contact-form-div {
  display: grid;
  row-gap: 0.5rem;
}

.contact-form-label {
  font-size: var(--small-font-size);
  font-weight: var(--font-bold);
  text-indent: 1.75rem;
}

.contact-form-label b {
  color: var(--first-color);
}

.contact-form-input {
  padding: 1rem 1.7rem;
  border-radius: 1.75rem;
}

.contact-form-area {
  resize: none;
  height: 140px;
}

.contact-submit {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: flex-end;
  gap: 1rem 2rem;
}

.message {
  position: absolute;
  bottom: 0.75rem;
  right: 1.25rem;
  font-weight: var(--font-medium);
}

.color-red {
  color: hsl(5, 69%, 51%);
}


/*=============== FOOTER ===============*/
.footer {
  border-top: 1px solid var(--border-color);
  padding-block: 2.5rem;
  background-color: var(--container-color);
  
}

.footer-container {
  margin: 0 2rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.footer-copyright {
  font-size: var(--small-font-size);
  font-weight: var(--font-bold);
  color: var(--text-color);
  margin: 2rem 0;
}

.footer-copyright .Joe {
  margin: 0 10px;
  color: var(--first-color);
  font-family: var(--second-font);
  font-size: var(--h3-font-size);
  text-transform: uppercase;
  -webkit-text-stroke: .5px black;
  text-shadow: 4px 4px var(--shadow-color);
  text-transform: uppercase;
}

.footer .A {
  color: var(--text-color);
  font-weight: var(--font-bold);
  text-decoration: none;
}

.footer .A span{
  margin: 0 10px;
  color: var(--first-color);
  font-family: var(--second-font);
  font-size: var(--h3-font-size);
  text-transform: uppercase;
  -webkit-text-stroke: .5px black;
  text-shadow: 4px 4px var(--shadow-color);
  text-transform: uppercase;
}

/*=============== STYLE SWITCHER ===============*/
.style-switcher {
  position: fixed;
  top: 0;
  right: -100%;
  width: 450px;
  height: 100%;
  background-color: var(--container-color);
  padding: 5rem 3.5rem;
  z-index: 1000;
  transition: right 0.3s var(--transition);

}

.style-switcher-title {
  font-size: var(--h3-font-size);
  padding-bottom: 1.25rem;
}

.style-switcher-title,
.style-switcher-item {
  border-bottom: 1px solid var(--shadow-color);
}

.style-switcher-item {
  padding-block: 1rem;
}

.style-switcher-subtitle {
  font-size: var(--large-font-size);
  margin-bottom: 1rem;
}

.style-switcher-colors {
  display: flex;
  column-gap: .5rem;
}

.style-switcher-color {
  width: 32px;
  height: 32px;
  border-radius: 50%;
  background-color: hsl(var(--hue), 60%, 40%);
  position: relative;
}

.style-switcher-color i {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: white;
  font-size: 1.2rem;
  display: none;
}

.active-color i {
  display: block;
}

.style-switcher-themes,
.style-switcher-theme {
  display: flex;
}

.style-switcher-themes {
  column-gap: 1.25rem;
}

.style-switcher-theme {
  columns: 0.5rem;
}

.style-switcher-input {
  accent-color: var(--first-color);
}

.style-switcher-label {
  color: var(--title-color);
}

.style-switcher-close {
  position: absolute;
  top: 1.5rem;
  right: 1.5rem;
  font-size: 2rem;
  cursor: pointer;

}


/* Show switcher */
.show-switcher {
  right: 0;
}

/*=============== BREAKPOINTS ===============*/
/* For large devices */
@media screen and (max-width: 1200px) {
  .section-deco:not(.header-deco) {
    display: none;
  }
  .home-banner{
    position: relative;
    top: initial;
    right: initial;
    transform: translateY(0);
    width: max-content;
  }

  .home-content{
    text-align: center;
  }

  .home-banner,
  .home-description,
  .home-socials,
  .home-btns {
    margin-inline:auto;
  }

  .home-banner{
    margin-block: 2.5rem;
  }
  .home-data{
    transform: scale(.9);
  }
  
  .home-btns{
    flex-direction: column;
    row-gap: 3.75rem;
  }

  .home-link::before{
    top: -3rem;
    left: 50%;
    transform: translateX(-50%);
    width: 2px;
    height: 40px;
  }

  .services-swiper,
  .testimonials-swiper{
    max-width: 900px;
  }

  .swiper-pagination-bullets::before {
    width: 90px;
  }
  .skills-container{
    grid-template-columns: repeat(2,1fr);
  }
  .work-container{
    grid-template-columns: repeat(2,fit-content(434px));
    justify-content: center;
  }
}

@media screen and (max-width: 1024px) {
  .nav{
    height: 4rem;
  }

  .section{
    padding: 6rem 1rem;
  }

  .home-container{
    padding-block: 2rem;
  }

  .home-title{
    text-shadow: 2px 2px var(--shadow-color);
  }

  .home-data{
    transform: scale(0.8);
  }

  .swiper-pagination-bullets::before {
    top: 11.5px;    
  }

  .resume-container{
    grid-template-columns: fit-content(550px);
    justify-content: center;
    row-gap: 2.5rem;
  }

  .contact-container,
  .contact-form-group{
    grid-template-columns: 1fr;
  }
  .contact-container{
    row-gap: 1.5rem;
  }

  .contact-form,
  .contact-content{
    max-width: 550px;
    width: 100%;
    margin-inline: auto;
  }
}

/* For medium devices */
@media screen and (max-width: 768px) {
  .nav-menu,
  .style-switcher{
    width: 100%;
  }

  .nav-buttons{
    column-gap: 1.5rem;
  }

  .home-data{
    transform: scale(0.7);
  }

  .services-swiper,
  .testimonials-swiper{
    max-width: 420px;
  }

  .swiper-pagination-bullets::before {
    width: 120px;
  }

  .skills-container{
    grid-template-columns: fit-conent(550px);
  }

  .work-container,
  .skills-container{
    justify-content: center;
  }

  .work-list{
    column-gap: 2rem;
  }

  .work-container{
    grid-template-columns: fit-content(450px);
  }

  .footer-container{
    flex-direction: column;
    row-gap: 1rem;
  }

}

@media screen and (max-width: 576px) {
  .container{
    padding-inline: 1.25rem;
  }

  .nav-buttons{
    column-gap: 1.25rem;
  }

  .nav-menu{
    padding-left: 7rem;
  }

  .header-deco{
    left: 56px;
  }

  .home-date{
    transform: scale(0.6);
  }

  .skills-container{
    row-gap: 3rem;
    grid-template-columns: repeat(2, 1fr);
  }
}

/* For small devices */
@media screen and (max-width: 400px) {
  .nav-menu{
    padding: 6rem;
  }

  .header-deco{
    left: 40px;
  }

  .home-banner,
  .home-img-wrapper{
    width: 100%;
  }

  .home-data{
    transform: scale(0.5);
  }

  .card{
    padding-inline: 2rem;
  }

  .skills-header,
  .skills-description{
    padding-inline: 1.25rem;
  }
}